﻿namespace TestProject
{
    /// <summary>
    /// 컴파스 가장자리 탐지 타입
    /// </summary>
    public enum CompassEdgeDetectionType
    {
        /// <summary>
        /// Prewitt 3X3X4
        /// </summary>
        Prewitt3X3X4,

        /// <summary>
        /// Prewitt 3X3X8
        /// </summary>
        Prewitt3X3X8,

        /// <summary>
        /// Prewitt 5X5X4
        /// </summary>
        Prewitt5X5X4,

        /// <summary>
        /// Sobel 3X3X4
        /// </summary>
        Sobel3X3X4,

        /// <summary>
        /// Sobel 3X3X8
        /// </summary>
        Sobel3X3X8,

        /// <summary>
        /// Sobel 5X5X4
        /// </summary>
        Sobel5X5X4,

        /// <summary>
        /// Scharr 3X3X4
        /// </summary>
        Scharr3X3X4,

        /// <summary>
        /// Scharr 3X3X8
        /// </summary>
        Scharr3X3X8,

        /// <summary>
        /// Scharr 5X5X4
        /// </summary>
        Scharr5X5X4,

        /// <summary>
        /// Kirsch 3X3X4
        /// </summary>
        Kirsch3X3X4,

        /// <summary>
        /// Kirsch 3X3X8
        /// </summary>
        Kirsch3X3X8,

        /// <summary>
        /// Isotropic 3X3X4
        /// </summary>
        Isotropic3X3X4,

        /// <summary>
        /// Isotropic 3X3X8
        /// </summary>
        Isotropic3X3X8
    }
}